#pragma once

#include <memory>

class External_Resources;

std::unique_ptr<External_Resources> make_tar1090_db_aircraft_csv_gz_resource();
std::unique_ptr<External_Resources> make_wiedehopf_tar1090_db_resource();
std::unique_ptr<External_Resources> make_mictronics_aircraft_database_resource();
std::unique_ptr<External_Resources> make_opensky_aircraft_database_resource();
std::unique_ptr<External_Resources> make_faa_aircraft_registry_resource();
std::unique_ptr<External_Resources> make_icao_doc_8643_resource();
std::unique_ptr<External_Resources> make_vrs_routes_resource();
std::unique_ptr<External_Resources> make_vrs_airports_resource();
std::unique_ptr<External_Resources> make_adsblol_vrs_standing_data_resource();
std::unique_ptr<External_Resources> make_vradarserver_standing_data_resource();
std::unique_ptr<External_Resources> make_opensky_flightdata_api_resource();
